import { TestBed } from '@angular/core/testing';

import { DataService } from './data.service';
import {ApiService} from './api.service';
import {HttpClient} from '@angular/common/http';
import {LocalStorageService} from 'angular-2-local-storage';
import {ModalService} from '@inst-iot/bosch-angular-ui-components';

// TODO

let apiServiceSpy: jasmine.SpyObj<ApiService>;


describe('DataService', () => {
  let service: DataService;

  beforeEach(() => {
    const apiSpy = jasmine.createSpyObj('ApiService', ['post', 'put']);

    TestBed.configureTestingModule({
      providers: [
        {provide: ApiService, useValue: apiSpy}
      ]
    });
    service = TestBed.inject(DataService);

    apiServiceSpy = TestBed.inject(ApiService) as jasmine.SpyObj<ApiService>;
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
